define(["require", "exports", "../utils/formatUndoSnapshot", "roosterjs-editor-dom"], function (require, exports, formatUndoSnapshot_1, roosterjs_editor_dom_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Remove link at selection. If no links at selection, do nothing.
     * If selection contains multiple links, all of the link styles will be removed.
     * If only part of a link is selected, the whole link style will be removed.
     * @param editor The editor instance
     */
    function removeLink(editor) {
        editor.focus();
        (0, formatUndoSnapshot_1.default)(editor, function (start, end) {
            editor.queryElements('a[href]', 1 /* OnSelection */, roosterjs_editor_dom_1.unwrap);
            if (start && end) {
                editor.select(start, end);
            }
        }, 'removeLink');
    }
    exports.default = removeLink;
});
//# sourceMappingURL=removeLink.js.map