define(["require", "exports", "../utils/collapseSelectedBlocks", "../utils/formatUndoSnapshot"], function (require, exports, collapseSelectedBlocks_1, formatUndoSnapshot_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Change direction for the blocks/paragraph at selection
     * @param editor The editor instance
     * @param direction The direction option:
     * Direction.LeftToRight refers to 'ltr', Direction.RightToLeft refers to 'rtl'
     */
    function setDirection(editor, direction) {
        editor.focus();
        (0, formatUndoSnapshot_1.default)(editor, function (start, end) {
            (0, collapseSelectedBlocks_1.default)(editor, function (element) {
                element.setAttribute('dir', direction == 0 /* LeftToRight */ ? 'ltr' : 'rtl');
                element.style.textAlign = direction == 0 /* LeftToRight */ ? 'left' : 'right';
            });
            if (start && end) {
                editor.select(start, end);
            }
        }, 'setDirection');
    }
    exports.default = setDirection;
});
//# sourceMappingURL=setDirection.js.map