define(["require", "exports", "../utils/applyListItemWrap"], function (require, exports, applyListItemWrap_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Set font name at selection
     * @param editor The editor instance
     * @param fontName The fontName string, should be a valid CSS font-family style.
     * Currently there's no validation to the string, if the passed string is invalid, it won't take affect
     */
    function setFontName(editor, fontName) {
        // The browser provided execCommand creates a HTML <font> tag with face attribute. <font> is not HTML5 standard
        // (http://www.w3schools.com/tags/tag_font.asp).
        (0, applyListItemWrap_1.default)(editor, 'font-family', function (element, isInnerNode) {
            element.style.fontFamily = isInnerNode ? '' : fontName;
        }, 'setFontName');
    }
    exports.default = setFontName;
});
//# sourceMappingURL=setFontName.js.map