define(["require", "exports", "../utils/formatUndoSnapshot", "roosterjs-editor-dom"], function (require, exports, formatUndoSnapshot_1, roosterjs_editor_dom_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Resets Ordered List Numbering back to the value of the parameter startNumber
     * @param editor The editor instance
     * @param separator The HTML element that indicates when to split the VList
     * @param startNumber The number of that the splitted list should start
     */
    function setOrderedListNumbering(editor, separator, startNumber) {
        if (startNumber === void 0) { startNumber = 1; }
        (0, formatUndoSnapshot_1.default)(editor, function () {
            editor.focus();
            var regions = editor.getSelectedRegions();
            if (regions[0]) {
                var vList = (0, roosterjs_editor_dom_1.createVListFromRegion)(regions[0], false /*includeSiblingLists*/, separator);
                if (vList) {
                    vList.split(separator, startNumber);
                    vList.writeBack(editor.isFeatureEnabled("ReuseAllAncestorListElements" /* ReuseAllAncestorListElements */), editor.isFeatureEnabled("DisableListChain" /* DisableListChain */));
                }
            }
        }, 'setOrderedListNumbering');
    }
    exports.default = setOrderedListNumbering;
});
//# sourceMappingURL=setOrderedListNumbering.js.map