define(["require", "exports", "../utils/execCommand"], function (require, exports, execCommand_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Toggle bold at selection
     * If selection is collapsed, it will only affect the following input after caret
     * If selection contains only bold text, the bold style will be removed
     * If selection contains only normal text, bold style will be added to the whole selected text
     * If selection contains both bold and normal text, bold style will be added to the whole selected text
     * @param editor The editor instance
     */
    function toggleBold(editor) {
        (0, execCommand_1.default)(editor, "bold" /* Bold */, 'toggleBold');
    }
    exports.default = toggleBold;
});
//# sourceMappingURL=toggleBold.js.map