define(["require", "exports", "../utils/execCommand"], function (require, exports, execCommand_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Toggle italic at selection
     * If selection is collapsed, it will only affect the input after caret
     * If selection contains only italic text, the italic style will be removed
     * If selection contains only normal text, italic style will be added to the whole selected text
     * If selection contains both italic and normal text, italic style will be added to the whole selected text
     * @param editor The editor instance
     */
    function toggleItalic(editor) {
        (0, execCommand_1.default)(editor, "italic" /* Italic */, 'toggleItalic');
    }
    exports.default = toggleItalic;
});
//# sourceMappingURL=toggleItalic.js.map