define(["require", "exports", "../utils/toggleListType"], function (require, exports, toggleListType_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Toggle numbering at selection
     * If selection contains numbering in deep level, toggle numbering will decrease the numbering level by one
     * If selection contains bullet list, toggle numbering will convert the bullet list into number list
     * If selection contains both bullet/numbering and normal text, the behavior is decided by corresponding
     * realization of browser execCommand API
     * @param editor The editor instance
     * @param startNumber (Optional) Start number of the list
     * @param listStyle (Optional) The style of the numbering list. If not defined, the style will be set to decimal.
     * @param apiNameOverride (Optional) Set a new api name, if empty the api name will be 'toggleListType'.
     */
    function toggleNumbering(editor, startNumber, listStyle, apiNameOverride) {
        (0, toggleListType_1.default)(editor, 1 /* Ordered */, startNumber, undefined /* includeSiblingLists */, listStyle, undefined /* unorderedStyle */, apiNameOverride);
    }
    exports.default = toggleNumbering;
});
//# sourceMappingURL=toggleNumbering.js.map