define(["require", "exports", "../utils/execCommand"], function (require, exports, execCommand_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Toggle underline at selection
     * If selection is collapsed, it will only affect the input after caret
     * If selection contains only underlined text, the underline style will be removed
     * If selection contains only normal text, underline style will be added to the whole selected text
     * If selection contains both underlined and normal text, the underline style will be added to the whole selected text
     * @param editor The editor instance
     */
    function toggleUnderline(editor) {
        (0, execCommand_1.default)(editor, "underline" /* Underline */, 'toggleUnderline');
    }
    exports.default = toggleUnderline;
});
//# sourceMappingURL=toggleUnderline.js.map