define(["require", "exports", "tslib", "../utils/formatUndoSnapshot", "roosterjs-editor-dom"], function (require, exports, tslib_1, formatUndoSnapshot_1, roosterjs_editor_dom_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Set background color of cells.
     * @param editor The editor instance
     * @param color One of two options:
     **/
    function applyCellShading(editor, color) {
        editor.focus();
        (0, formatUndoSnapshot_1.default)(editor, function () {
            var regions = editor.getSelectedRegions();
            regions.forEach(function (region) {
                if ((0, roosterjs_editor_dom_1.safeInstanceOf)(region.rootNode, 'HTMLTableCellElement')) {
                    (0, roosterjs_editor_dom_1.setColor)(region.rootNode, color, true /* isBackgroundColor */, editor.isDarkMode(), true /** shouldAdaptFontColor */, editor.getDarkColorHandler());
                    var meta = (0, roosterjs_editor_dom_1.getTableCellMetadata)(region.rootNode);
                    (0, roosterjs_editor_dom_1.saveTableCellMetadata)(region.rootNode, (0, tslib_1.__assign)((0, tslib_1.__assign)({}, meta), { bgColorOverride: true }));
                }
            });
        }, 'applyCellShading');
    }
    exports.default = applyCellShading;
});
//# sourceMappingURL=applyCellShading.js.map