import type { IEditor } from 'roosterjs-editor-types';
/**
 * @internal
 * Toggle a tag at selection, if selection already contains elements of such tag,
 * the elements will be untagged and other elements will take no effect
 * @param editor The editor instance
 * @param wrapFunction  The wrap function
 * @param beforeRunCallback A callback function to run before looping all regions. If it returns false,
 * the loop for regions will be skipped
 */
export default function blockWrap(editor: IEditor, wrapFunction: (nodes: Node[]) => void, beforeRunCallback: () => boolean, apiName?: string): void;
