define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * @internal
     * Execute add undo snapshot for the Format APIs
     * @param editor The editor instance
     * @param command Optional, The callback function to perform formatting, returns a data object which will be used as the data field in ContentChangedEvent if changeSource is not null.
     * @param apiName Optional, name of the API that was is going to be executed.
     * Default value is false.
     */
    function formatUndoSnapshot(editor, callback, apiName) {
        editor.addUndoSnapshot(callback, "Format" /* Format */, undefined /* canUndoByBackspace */, apiName && apiName != ''
            ? {
                formatApiName: apiName,
            }
            : undefined);
    }
    exports.default = formatUndoSnapshot;
});
//# sourceMappingURL=formatUndoSnapshot.js.map