import { Capitalization } from 'roosterjs-editor-types';
import type { IEditor } from 'roosterjs-editor-types';
import type { CompatibleCapitalization } from 'roosterjs-editor-types/lib/compatibleTypes';
/**
 * Change the capitalization of text in the selection
 * @param editor The editor instance
 * @param capitalization The case option
 * @param language Optional parameter for language string that should comply to "IETF BCP 47 Tags for
 * Identifying Languages". For example: 'en' or 'en-US' for English, 'tr' for Turkish.
 * Default is the host environment’s current locale.
 */
export default function changeCapitalization(editor: IEditor, capitalization: Capitalization | CompatibleCapitalization, language?: string): void;
