import formatUndoSnapshot from '../utils/formatUndoSnapshot';
import { unwrap } from 'roosterjs-editor-dom';
/**
 * Remove link at selection. If no links at selection, do nothing.
 * If selection contains multiple links, all of the link styles will be removed.
 * If only part of a link is selected, the whole link style will be removed.
 * @param editor The editor instance
 */
export default function removeLink(editor) {
    editor.focus();
    formatUndoSnapshot(editor, function (start, end) {
        editor.queryElements('a[href]', 1 /* OnSelection */, unwrap);
        if (start && end) {
            editor.select(start, end);
        }
    }, 'removeLink');
}
//# sourceMappingURL=removeLink.js.map