import formatUndoSnapshot from '../utils/formatUndoSnapshot';
/**
 * Rotate an element visually
 * @param editor The editor instance
 * @param element The element that should be rotated
 * @param angle The degree at which to rotate the element from it's center
 */
export default function rotateElement(editor, element, angle) {
    if (element) {
        formatUndoSnapshot(editor, function () {
            element.style.transform = "rotate(" + angle + "deg)";
        }, 'rotateElement');
    }
}
//# sourceMappingURL=rotateElement.js.map