import collapseSelectedBlocks from '../utils/collapseSelectedBlocks';
import formatUndoSnapshot from '../utils/formatUndoSnapshot';
/**
 * Change direction for the blocks/paragraph at selection
 * @param editor The editor instance
 * @param direction The direction option:
 * Direction.LeftToRight refers to 'ltr', Direction.RightToLeft refers to 'rtl'
 */
export default function setDirection(editor, direction) {
    editor.focus();
    formatUndoSnapshot(editor, function (start, end) {
        collapseSelectedBlocks(editor, function (element) {
            element.setAttribute('dir', direction == 0 /* LeftToRight */ ? 'ltr' : 'rtl');
            element.style.textAlign = direction == 0 /* LeftToRight */ ? 'left' : 'right';
        });
        if (start && end) {
            editor.select(start, end);
        }
    }, 'setDirection');
}
//# sourceMappingURL=setDirection.js.map