import type { IEditor } from 'roosterjs-editor-types';
import { Indentation } from 'roosterjs-editor-types';
import type { CompatibleIndentation } from 'roosterjs-editor-types/lib/compatibleTypes';
/**
 * Set indentation at selection
 * If selection contains bullet/numbering list, increase/decrease indentation will
 * increase/decrease the list level by one.
 * @param editor The editor instance
 * @param indentation The indentation option:
 * Indentation.Increase to increase indentation or Indentation.Decrease to decrease indentation
 */
export default function setIndentation(editor: IEditor, indentation: Indentation | CompatibleIndentation): void;
