import formatUndoSnapshot from '../utils/formatUndoSnapshot';
import { createVListFromRegion } from 'roosterjs-editor-dom';
/**
 * Resets Ordered List Numbering back to the value of the parameter startNumber
 * @param editor The editor instance
 * @param separator The HTML element that indicates when to split the VList
 * @param startNumber The number of that the splitted list should start
 */
export default function setOrderedListNumbering(editor, separator, startNumber) {
    if (startNumber === void 0) { startNumber = 1; }
    formatUndoSnapshot(editor, function () {
        editor.focus();
        var regions = editor.getSelectedRegions();
        if (regions[0]) {
            var vList = createVListFromRegion(regions[0], false /*includeSiblingLists*/, separator);
            if (vList) {
                vList.split(separator, startNumber);
                vList.writeBack(editor.isFeatureEnabled("ReuseAllAncestorListElements" /* ReuseAllAncestorListElements */), editor.isFeatureEnabled("DisableListChain" /* DisableListChain */));
            }
        }
    }, 'setOrderedListNumbering');
}
//# sourceMappingURL=setOrderedListNumbering.js.map