import blockWrap from '../utils/blockWrap';
import { unwrap, wrap } from 'roosterjs-editor-dom';
var PRE_TAG = 'pre';
var CODE_TAG = 'code';
var SELECTOR = PRE_TAG + ">" + CODE_TAG;
/**
 * Toggle code block at selection, if selection already contains any code blocked elements,
 * the code block elements will be no longer be code blocked and other elements will take no affect
 * @param editor The editor instance
 * @param styler (Optional) The custom styler for setting the style for the code block element
 */
export default function toggleCodeBlock(editor, styler) {
    blockWrap(editor, function (nodes) {
        var code = wrap(nodes, CODE_TAG);
        var pre = wrap(code, PRE_TAG);
        styler === null || styler === void 0 ? void 0 : styler(pre);
    }, function () {
        return editor.queryElements(SELECTOR, 1 /* OnSelection */, function (code) {
            if (!code.previousSibling && !code.nextSibling) {
                var parent_1 = code.parentNode;
                unwrap(code);
                if (parent_1) {
                    unwrap(parent_1);
                }
            }
        }).length == 0;
    }, 'toggleCodeBlock');
}
//# sourceMappingURL=toggleCodeBlock.js.map