import commitListChains from '../utils/commitListChains';
import formatUndoSnapshot from './formatUndoSnapshot';
import { VListChain } from 'roosterjs-editor-dom';
/**
 * Split selection into regions, and perform a block-wise formatting action for each region.
 */
export default function blockFormat(editor, callback, beforeRunCallback, apiName) {
    editor.focus();
    var selection = editor.getSelectionRangeEx();
    formatUndoSnapshot(editor, function (start, end) {
        if (!beforeRunCallback || beforeRunCallback()) {
            var regions = editor.getSelectedRegions();
            if (regions.length > 0) {
                var chains_1 = VListChain.createListChains(regions, start === null || start === void 0 ? void 0 : start.node);
                regions.forEach(function (region) { return callback(region, start, end, chains_1); });
                commitListChains(editor, chains_1);
            }
        }
        if (selection.type == 0 /* Normal */ && start && end) {
            editor.select(start, end);
        }
        else {
            editor.select(selection);
        }
    }, apiName);
}
//# sourceMappingURL=blockFormat.js.map