import { Position } from 'roosterjs-editor-dom';
/**
 * Commit changes of all list changes when experiment features are allowed
 * @param editor The Editor object
 * @param chains List chains to commit
 */
export default function commitListChains(editor, chains) {
    if ((chains === null || chains === void 0 ? void 0 : chains.length) > 0) {
        var range = editor.getSelectionRange();
        var start = range && Position.getStart(range);
        var end = range && Position.getEnd(range);
        var shouldReuseAllAncestorListElements_1 = editor.isFeatureEnabled("ReuseAllAncestorListElements" /* ReuseAllAncestorListElements */);
        var shouldDisableListChain_1 = editor.isFeatureEnabled("DisableListChain" /* DisableListChain */);
        chains.forEach(function (chain) {
            return chain.commit(shouldReuseAllAncestorListElements_1, shouldDisableListChain_1);
        });
        if (start && end) {
            editor.select(start, end);
        }
    }
}
/**
 * @deprecated
 * Same with commitListChains, keep this export just for backward compatibility
 */
export var experimentCommitListChains = commitListChains;
//# sourceMappingURL=commitListChains.js.map