"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var formatUndoSnapshot_1 = require("../utils/formatUndoSnapshot");
/**
 * Rotate an element visually
 * @param editor The editor instance
 * @param element The element that should be rotated
 * @param angle The degree at which to rotate the element from it's center
 */
function rotateElement(editor, element, angle) {
    if (element) {
        (0, formatUndoSnapshot_1.default)(editor, function () {
            element.style.transform = "rotate(" + angle + "deg)";
        }, 'rotateElement');
    }
}
exports.default = rotateElement;
//# sourceMappingURL=rotateElement.js.map